/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import * as i0 from "@angular/core";
import * as i1 from "./dialog/dialog.component";
import * as i2 from "./dialog/dialog-titlebar.component";
import * as i3 from "./dialog/dialog-container.directive";
import * as i4 from "./dialog/dialog-actions.component";
import * as i5 from "./localization/custom-messages.component";
import * as i6 from "./window/window.component";
import * as i7 from "./window/actions/window-close-action.directive";
import * as i8 from "./window/actions/window-minimize-action.directive";
import * as i9 from "./window/actions/window-maximize-action.directive";
import * as i10 from "./window/actions/window-restore-action.directive";
import * as i11 from "./window/window-titlebar.component";
import * as i12 from "./window/window-container.directive";
/**
 * Represents the [NgModule](link:site.data.urls.angular['ngmoduleapi'])
 * definition for the Dialogs components.
 *
 * @example
 *
 * ```ts
 * import { DialogsModule } from '@progress/kendo-angular-dialog';
 *
 * import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
 * import { NgModule } from '@angular/core';
 *
 * import { AppComponent } from './app.component';
 *
 * _@NgModule({
 *     declarations: [AppComponent],
 *     imports:      [BrowserModule, DialogsModule],
 *     bootstrap:    [AppComponent]
 * })
 * export class AppModule {}
 *
 * platformBrowserDynamic().bootstrapModule(AppModule);
 *
 * ```
 */
export declare class DialogsModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DialogsModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DialogsModule, never, [typeof i1.DialogComponent, typeof i2.DialogTitleBarComponent, typeof i3.DialogContainerDirective, typeof i4.DialogActionsComponent, typeof i5.CustomMessagesComponent, typeof i6.WindowComponent, typeof i7.WindowCloseActionDirective, typeof i8.WindowMinimizeActionDirective, typeof i9.WindowMaximizeActionDirective, typeof i10.WindowRestoreActionDirective, typeof i11.WindowTitleBarComponent, typeof i12.WindowContainerDirective, typeof i4.DialogActionsComponent, typeof i5.CustomMessagesComponent], [typeof i1.DialogComponent, typeof i2.DialogTitleBarComponent, typeof i3.DialogContainerDirective, typeof i4.DialogActionsComponent, typeof i5.CustomMessagesComponent, typeof i6.WindowComponent, typeof i7.WindowCloseActionDirective, typeof i8.WindowMinimizeActionDirective, typeof i9.WindowMaximizeActionDirective, typeof i10.WindowRestoreActionDirective, typeof i11.WindowTitleBarComponent, typeof i12.WindowContainerDirective, typeof i4.DialogActionsComponent, typeof i5.CustomMessagesComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DialogsModule>;
}
